> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blockworksresearch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Asset Market Cap

> Get market cap data for a single asset. Returns only the market cap data with asset identifiers.



## OpenAPI

````yaml /openapi.json get /v1/assets/{idOrSlug}/market-cap
openapi: 3.0.0
info:
  title: Blockworks API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.blockworks.com
security:
  - x-api-key: []
tags: []
paths:
  /v1/assets/{idOrSlug}/market-cap:
    get:
      tags:
        - assets
      summary: Get Asset Market Cap
      description: >-
        Get market cap data for a single asset. Returns only the market cap data
        with asset identifiers.
      operationId: AssetController_getMarketCapHyphen_v1
      parameters:
        - name: idOrSlug
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: Market cap data for the specified asset
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AssetMarketCapWithIdentifiers'
              example:
                rank: 2
                usd: 4456.91
                dominance: 11.9754
                percent_change_btc_1h: -0.134556
                percent_change_btc_24h: -1.56252
                percent_change_usd_1h: 0.0999065
                percent_change_usd_24h: -0.63777
                percent_change_usd_7d: 2.94011
                percent_change_usd_30d: 2.0461
                percent_change_eth_1h: 0
                percent_change_eth_24h: 0
                updated_at: 1759940402
                asset_code: ETH
                asset_slug: ethereum
        '400':
          description: Bad Request
        '404':
          description: Not Found
components:
  schemas:
    AssetMarketCapWithIdentifiers:
      type: object
      properties:
        rank:
          type: integer
          nullable: true
        usd:
          type: number
          nullable: true
          format: double
        dominance:
          type: number
          nullable: true
          format: float
        percent_change_btc_1h:
          type: number
          nullable: true
          format: float
        percent_change_btc_24h:
          type: number
          nullable: true
          format: float
        percent_change_usd_1h:
          type: number
          nullable: true
          format: float
        percent_change_usd_24h:
          type: number
          nullable: true
          format: float
        percent_change_usd_7d:
          type: number
          nullable: true
          format: float
        percent_change_usd_30d:
          type: number
          nullable: true
          format: float
        percent_change_eth_1h:
          type: number
          nullable: true
          format: float
        percent_change_eth_24h:
          type: number
          nullable: true
          format: float
        updated_at:
          type: number
          nullable: true
          description: Unix timestamp
        asset_code:
          type: string
          maxLength: 20
        asset_slug:
          type: string
          maxLength: 100
      required:
        - rank
        - usd
        - dominance
        - percent_change_btc_1h
        - percent_change_btc_24h
        - percent_change_usd_1h
        - percent_change_usd_24h
        - percent_change_eth_1h
        - percent_change_eth_24h
        - updated_at
        - asset_code
        - asset_slug
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

````